///////////////////////////////////////////////////////////////////////
// Funcion f_sendmail_atach
// Acceso: Publico
// Devuelve: boolean
// Proposito: Enviar un mail con un documento adjunto (atachado)
//
//	Parametros:
//		email_recipient	- String - Value
//		email_subject	- String - Value
//		email_text		- String - Value
//		email_atach		- String - Value		
/////////////////////////////////////////////////////////////////////////


String ls_attach_name

mailSession m_mail_session
mailReturnCode m
mailMessage m_message
mailFileDescription mAttach
 
m_mail_session = CREATE mailSession

m = m_mail_session.MailLogon()

IF m <> mailReturnSuccess! THEN
	DESTROY m_mail_session
	MessageBox('Mail', 'Could not connect to the mail program. Make sure the mail program is running.', StopSign!)
	return FALSE
END IF

//Preparando la estructura del MailMessage

m_message.Recipient[1].name = email_recipient
m_message.Subject = email_subject
m_message.NoteText = email_text

ls_attach_name = email_atach			//parte el archivo atachado
mAttach.FileType = mailAttach!	
mAttach.PathName = ls_attach_name
mAttach.FileName = ls_attach_name
mAttach.Position = len(m_message.notetext) - 1		
m_message.AttachmentFile[1] = mAttach

// crea el mensage del mail

m = m_mail_session.mailSend(m_message)

IF m <> mailReturnSuccess! THEN
	m_mail_session.MailLogoff()
	DESTROY m_mail_session
	MessageBox('Mail', 'Ha Ocurrido un error enviando el mail.', StopSign!)
	return FALSE
END IF

m_mail_session.MailLogoff()

DESTROY m_mail_session

return TRUE  // Proceso OK!

